=== debian/changelog ===
mia (2.2.7-3) unstable; urgency=medium

  * d/control: Depend libmia-2.2-dev on libgsl-dev Closes: #811379
    Thanks Andreas Beckmann for reporting

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 11 Jan 2016 07:11:04 +0100

mia (2.2.7-2) unstable; urgency=medium

  * d/control: switch build dependency from libgsl0-dev 
    to libgsl-dev 
  * Add patch 01_ for spelling corrections 

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 24 Nov 2015 20:21:28 +0100

mia (2.2.7-1) unstable; urgency=medium

  * New upstream version
  * remove patches 02/03 because they are applied upstream
  * remove patch 01 and use the doxygen embedded jquerywith treeview
    Rationale: src::doxygen://debian/README.jquery

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 29 Oct 2015 14:56:33 +0100

mia (2.2.6-1) unstable; urgency=medium

  * New upstream version
  * Remove patch 02_doxygen_use_svg.. because it was applied upstream
  * Add patch 02 to correct build on armhf 
  * Add patch 03 to correct tests that fail on arm64 and ppc64el  
  * change dependency to libdcmtk-dev (i.e. without version)

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 26 Oct 2015 12:21:29 +0100

mia (2.2.5-1) unstable; urgency=medium

  * new upstream 
  * d/patches/* remove patches since they are now included upstream:
    02-manpage-correction-patch, 03_correct_instanciation..
    04_correct_flag_outstream, 05_remove_timestamp_from_doxygen 
  * d/* bump so-version of the library package because of ABI change. 
    This also takes care of the needed gcc-5 transition
  * add doxygen-latex to the build-dependencies 
  * add patch 02_doxygen_use_svg_graphs.patch to create the class 
    graphs as svg images instead of png. 

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 29 Sep 2015 23:20:10 +0200
