=== debian/control ===
Source: mia
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Gert Wollny <gw.fossdev@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               docbook-xsl,
               doxygen,
               doxygen-latex,
               graphviz,
               libblas-dev,
               libboost-filesystem-dev,
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-system-dev,
               libboost-test-dev,
               libdcmtk-dev,
               libeigen3-dev,
               libfftw3-dev,
               libgsl-dev,
               libgts-dev,
               libhdf5-dev,
               libitpp-dev,
               libmaxflow-dev,
               libnifti-dev,
               libnlopt-dev,
               libopenexr-dev,
               libpng-dev,
               libtbb-dev,
               libtiff-dev,
               libvtk6-dev,
               libvistaio-dev,
               libxml++2.6-dev,
               python-lxml,
               xsltproc
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mia.git
Vcs-Git: git://anonscm.debian.org/debian-med/mia.git
Homepage: http://mia.sourceforge.net


Package: libmia-2.2-4
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libmia-2.2-0
Conflicts: libmia-2.2-0,
           libmia-2.2-0-dbg
Description: library for 2D and 3D gray scale image processing
 libmia comprises a set of libraries and plug-ins for general purpose 
 2D and 3D gray scale image processing and basic handling of triangular 
 meshes. The libraries provide a basic infrastructure and  generic 
 algorithms, that can be specialized by specifying the apropriate plug-ins. 


Package: libmia-2.2-dev
Architecture: any
Section: libdevel
Depends: libmia-2.2-4 (= ${binary:Version}),
         libitpp-dev (>= 4.2),
         libtbb-dev,
         libgsl-dev,
         libboost-regex-dev,
         libboost-serialization-dev,
         libboost-test-dev,
         libfftw3-dev,
         libblas-dev,
         ${misc:Depends}
Recommends: libmia-2.2-doc
Suggests: python-lxml
Description: library for 2D and 3D gray scale image processing, development files
 libmia comprises a set of libraries and plug-ins for general purpose 
 2D and 3D gray scale image processing and basic handling of triangular 
 meshes. The libraries provide a basic infrastructure and  generic 
 algorithms, that can be specialized by specifying the apropriate plug-ins. 
 This package provides the development files for the library.

Package: libmia-2.2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Enhances: libmia-2.2-dev
Description: library for 2D and 3D gray scale image processing, documentation
 libmia comprises a set of libraries and plug-ins for general purpose 
 2D and 3D gray scale image processing and basic handling of triangular 
 meshes. The libraries provide a basic infrastructure and  generic 
 algorithms, that can be specialized by specifying the apropriate plug-ins. 
 This package provides the Doxygen generated API reference. 

Package: libmia-2.2-4-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libmia-2.2-4 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libmia-2.2-0-dbg
Replaces: libmia-2.2-0-dbg
Description: Debug information for the MIA library 
 libmia comprises a set of libraries and plug.ins for general purpose 
 2D and 3D gray scale image processing and basic handling of triangular 
 meshes. The libraries provide a basic infrastructure and  generic 
 algorithms, that can be specialized by specifying the apropriate plug-ins. 
 libmia is library for general purpouse 2D and 3D gray scale image processing. 
 This package provides the debug information of the library. 

Package: mia-tools
Architecture: any
Depends: libmia-2.2-4 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: mia-tools-doc
Suggests: python-nipype
Breaks: python-mia (<= 0.1.6)
Description: Command line tools for gray scale image processing
 Command lines tools to run general purpose image processing tasks on 2D 
 and 3D gray scale images, and basic operations on triangular meshes. 
 Supported image processing algorithms are image filtering, combining, image 
 registration, motion compensation for image series, and the estimation of 
 various statistics over images. 
 This package also contains the nipype interfaces for these command line tools. 

Package: mia-tools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: mia-tools
Description: Cross-referenced documentation of the MIA command line tools
 Cross referenced documentation of the command line tools and plug-ins that 
 are provided by the MIA gray scale image processing tool chain. 
 These lines tools to provide the means to run general purpose image 
 processing tasks on 2D and 3D gray scale images, and basic operations on 
 triangular meshes interactively from the command line. Supported image 
 processing algorithms are image filtering, combining, image registration, 
 motion compensation for image series, and the estimation of various 
 statistics over images. 

Package: mia-tools-dbg
Architecture: any
Section: debug
Priority: extra
Depends: mia-tools (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging information for the MIA command line tools
 Debug information for the MIA command lines tools. These tools provide the 
 means to run general purpose image processing tasks on 2D and 3D gray scale 
 images, and basic operations on triangular meshes from the command line. 
 Supported image processing algorithms are image filtering, combining, image 
 registration, motion compensation for image series, and the estimation of 
 various statistics over images.
