=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -fvisibility=hidden

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: override_dh_strip override_dh_shlibdeps override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DALWAYS_CREATE_DOC=ON  \
	-DSTRICT_DEPENDECIES=ON \
	-DMIA_CREATE_MANPAGES=ON \
	-DMIA_CREATE_NIPYPE_INTERFACES=ON

override_dh_builddeb:
	dh_builddeb -- -Z xz

# dh_strip detects executable files, so make *.mia files executable then strip then 
# remove the executable flag 
override_dh_strip:
	 `pwd`/debian/run_strip

override_dh_shlibdeps:
	dh_shlibdeps -- $(shell find  debian/libmia-2.2-4/ -name "*.mia")

override_dh_auto_test:
	dh_auto_test || \
		( echo "Test log begin =========:"  \
		&& cat `pwd`/obj-*/Testing/Temporary/LastTest.log \
		&& echo "Test log end =========:" \
		&& exit 1)
